Bug 459070 - ipa-* --help doesn't work
ipa-* --help doesn't work
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: ipa-admintools (Show other bugs)
1.1
All Linux
low Severity low
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: 453489
  Show dependency treegraph
 
Reported: 2008-08-14 05:15 EDT by Martin Nagy
Modified: 2016-07-26 19:47 EDT (History)
6 users (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Nagy 2008-08-14 05:15:01 EDT
If /etc/ipa/ipa.conf file is missing and the DNS is down, the ipa-* commands can't even show help.
Also, the --help option doesn't show options "--realm", "--server" and "--domain". Additionally, these options don't support the standard --realm=foo syntax.
Comment 1 Martin Nagy 2008-09-16 19:03:35 EDT
master: a9e8a72059ca5a6db13a9835d20f68dd16ce9a7a
Comment 2 Jenny Galipeau 2008-11-18 16:45:48 EST
Bug Verified:

First part: if the ipa.conf is missing, help can still be displayed.

Second part:  the --help option now shows for add/mod/del/find:

  --realm=REALM         Override default IPA realm
  --server=SERVER       Override default IPA server
  --domain=DOMAIN       Override default IPA DNS domain

Note You need to log in before you can comment on or make changes to this bug.